import 'package:mmoo_base_recharge/generated/json/base/json_field.dart';
import 'package:mmoo_base_recharge/generated/json/recharge_list_entity.g.dart';

///充值列表
@JsonSerializable()
class RechargeListEntity {
  RechargeListEntity();

  factory RechargeListEntity.fromJson(Map<String, dynamic> json) =>
      $RechargeListEntityFromJson(json);

  Map<String, dynamic> toJson() => $RechargeListEntityToJson(this);

  List<RechargeList>? list;
}

@JsonSerializable()
class RechargeList {
  RechargeList();

  factory RechargeList.fromJson(Map<String, dynamic> json) =>
      $RechargeListFromJson(json);

  Map<String, dynamic> toJson() => $RechargeListToJson(this);

  String? id;
  String? price;
  String? code;
  String? codeType;
  String? coin;

  //新增
  String? originalCoin;
  String? addCoin;
  String? addWords;
  String? sortTop;

  //对应地区的价格
  String? symbol;

  String allCoins() {
    return (originalCoin == null ||
        originalCoin == '0' ||
        originalCoin?.toLowerCase() == 'null'
        ? coin
        : originalCoin) ?? '0';
  }
}
