import 'package:mmoo_base_recharge/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base_recharge/entity/recharge_entity.dart';

RechargeEntity $RechargeEntityFromJson(Map<String, dynamic> json) {
	RechargeEntity rechargeEntity = RechargeEntity();
	var id = jsonConvert.convert<String>(json['id']);
	if (id != null) {
		rechargeEntity.id = id;
	}
	var url = jsonConvert.convert<String>(json['url']);
	if (url != null) {
		rechargeEntity.url = url;
	}
	var money = jsonConvert.convert<String>(json['money']);
	if (money != null) {
		rechargeEntity.money = money;
	}
	var addMoney = jsonConvert.convert<String>(json['addMoney']);
	if (addMoney != null) {
		rechargeEntity.addMoney = addMoney;
	}
	var payed = jsonConvert.convert<String>(json['payed']);
	if (payed != null) {
		rechargeEntity.payed = payed;
	}
	var result = jsonConvert.convert<RechargeResult>(json['result']);
	if (result != null) {
		rechargeEntity.result = result;
	}
	return rechargeEntity;
}

Map<String, dynamic> $RechargeEntityToJson(RechargeEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['id'] = entity.id;
	data['url'] = entity.url;
	data['money'] = entity.money;
	data['addMoney'] = entity.addMoney;
	data['payed'] = entity.payed;
	data['result'] = entity.result?.toJson();
	return data;
}

RechargeResult $RechargeResultFromJson(Map<String, dynamic> json) {
	RechargeResult rechargeResult = RechargeResult();
	var merNo = jsonConvert.convert<String>(json['merNo']);
	if (merNo != null) {
		rechargeResult.merNo = merNo;
	}
	var terNo = jsonConvert.convert<String>(json['terNo']);
	if (terNo != null) {
		rechargeResult.terNo = terNo;
	}
	var tradeNo = jsonConvert.convert<String>(json['tradeNo']);
	if (tradeNo != null) {
		rechargeResult.tradeNo = tradeNo;
	}
	var orderNo = jsonConvert.convert<String>(json['orderNo']);
	if (orderNo != null) {
		rechargeResult.orderNo = orderNo;
	}
	var orderAmount = jsonConvert.convert<String>(json['orderAmount']);
	if (orderAmount != null) {
		rechargeResult.orderAmount = orderAmount;
	}
	var orderCurrency = jsonConvert.convert<String>(json['orderCurrency']);
	if (orderCurrency != null) {
		rechargeResult.orderCurrency = orderCurrency;
	}
	var orderSucceed = jsonConvert.convert<int>(json['orderSucceed']);
	if (orderSucceed != null) {
		rechargeResult.orderSucceed = orderSucceed;
	}
	var orderResult = jsonConvert.convert<String>(json['orderResult']);
	if (orderResult != null) {
		rechargeResult.orderResult = orderResult;
	}
	var signInfo = jsonConvert.convert<String>(json['signInfo']);
	if (signInfo != null) {
		rechargeResult.signInfo = signInfo;
	}
	var acquirer = jsonConvert.convert<String>(json['acquirer']);
	if (acquirer != null) {
		rechargeResult.acquirer = acquirer;
	}
	var redirectURL = jsonConvert.convert<String>(json['redirectURL']);
	if (redirectURL != null) {
		rechargeResult.redirectURL = redirectURL;
	}
	var remark = jsonConvert.convert<String>(json['remark']);
	if (remark != null) {
		rechargeResult.remark = remark;
	}
	return rechargeResult;
}

Map<String, dynamic> $RechargeResultToJson(RechargeResult entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['merNo'] = entity.merNo;
	data['terNo'] = entity.terNo;
	data['tradeNo'] = entity.tradeNo;
	data['orderNo'] = entity.orderNo;
	data['orderAmount'] = entity.orderAmount;
	data['orderCurrency'] = entity.orderCurrency;
	data['orderSucceed'] = entity.orderSucceed;
	data['orderResult'] = entity.orderResult;
	data['signInfo'] = entity.signInfo;
	data['acquirer'] = entity.acquirer;
	data['redirectURL'] = entity.redirectURL;
	data['remark'] = entity.remark;
	return data;
}