import 'package:mmoo_base_recharge/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base_recharge/entity/recharge_list_entity.dart';

RechargeListEntity $RechargeListEntityFromJson(Map<String, dynamic> json) {
	RechargeListEntity rechargeListEntity = RechargeListEntity();
	var list = jsonConvert.convertListNotNull<RechargeList>(json['list']);
	if (list != null) {
		rechargeListEntity.list = list;
	}
	return rechargeListEntity;
}

Map<String, dynamic> $RechargeListEntityToJson(RechargeListEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['list'] =  entity.list?.map((v) => v.toJson()).toList();
	return data;
}

RechargeList $RechargeListFromJson(Map<String, dynamic> json) {
	RechargeList rechargeList = RechargeList();
	var id = jsonConvert.convert<String>(json['id']);
	if (id != null) {
		rechargeList.id = id;
	}
	var price = jsonConvert.convert<String>(json['price']);
	if (price != null) {
		rechargeList.price = price;
	}
	var code = jsonConvert.convert<String>(json['code']);
	if (code != null) {
		rechargeList.code = code;
	}
	var codeType = jsonConvert.convert<String>(json['codeType']);
	if (codeType != null) {
		rechargeList.codeType = codeType;
	}
	var coin = jsonConvert.convert<String>(json['coin']);
	if (coin != null) {
		rechargeList.coin = coin;
	}
	var originalCoin = jsonConvert.convert<String>(json['originalCoin']);
	if (originalCoin != null) {
		rechargeList.originalCoin = originalCoin;
	}
	var addCoin = jsonConvert.convert<String>(json['addCoin']);
	if (addCoin != null) {
		rechargeList.addCoin = addCoin;
	}
	var addWords = jsonConvert.convert<String>(json['addWords']);
	if (addWords != null) {
		rechargeList.addWords = addWords;
	}
	var sortTop = jsonConvert.convert<String>(json['sortTop']);
	if (sortTop != null) {
		rechargeList.sortTop = sortTop;
	}
	var symbol = jsonConvert.convert<String>(json['symbol']);
	if (symbol != null) {
		rechargeList.symbol = symbol;
	}
	return rechargeList;
}

Map<String, dynamic> $RechargeListToJson(RechargeList entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['id'] = entity.id;
	data['price'] = entity.price;
	data['code'] = entity.code;
	data['codeType'] = entity.codeType;
	data['coin'] = entity.coin;
	data['originalCoin'] = entity.originalCoin;
	data['addCoin'] = entity.addCoin;
	data['addWords'] = entity.addWords;
	data['sortTop'] = entity.sortTop;
	data['symbol'] = entity.symbol;
	return data;
}