import 'package:mmoo_base_recharge/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base_recharge/entity/recharge_type_entity.dart';

RechargeTypeEntity $RechargeTypeEntityFromJson(Map<String, dynamic> json) {
	RechargeTypeEntity rechargeTypeEntity = RechargeTypeEntity();
	var rechargeModels = jsonConvert.convertListNotNull<RechargeTypeList>(json['rechargeModels']);
	if (rechargeModels != null) {
		rechargeTypeEntity.rechargeModels = rechargeModels;
	}
	return rechargeTypeEntity;
}

Map<String, dynamic> $RechargeTypeEntityToJson(RechargeTypeEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['rechargeModels'] =  entity.rechargeModels?.map((v) => v.toJson()).toList();
	return data;
}

RechargeTypeList $RechargeTypeListFromJson(Map<String, dynamic> json) {
	RechargeTypeList rechargeTypeList = RechargeTypeList();
	var name = jsonConvert.convert<String>(json['name']);
	if (name != null) {
		rechargeTypeList.name = name;
	}
	var url = jsonConvert.convert<String>(json['url']);
	if (url != null) {
		rechargeTypeList.url = url;
	}
	var type = jsonConvert.convert<String>(json['type']);
	if (type != null) {
		rechargeTypeList.type = type;
	}
	return rechargeTypeList;
}

Map<String, dynamic> $RechargeTypeListToJson(RechargeTypeList entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['name'] = entity.name;
	data['url'] = entity.url;
	data['type'] = entity.type;
	return data;
}